Bug 83940

Summary: Radeon 7500QW texturing problem
Product: [Retired] Red Hat Linux Reporter: Thomas Sailer <t.sailer>
Component: XFree86Assignee: Mike A. Harris <mharris>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9Keywords: MoveUpstream, Triaged
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-04-20 11:00:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
XFree86.0.log none

Description Thomas Sailer 2003-02-10 07:08:48 EST
I was trying to upgrade my PC to get decent FlightGear  
performance. FlightGear (www.flightgear.org) is an open-source flight  
I bought 2 cards, one with a Radeon 7500QW, the other has a Radeon  
9000If. Both have 128MByte memory, and are Powered by ATI, Built by  
Hightech Information Systems, www.hightech.com.hk. It's virtually  
impossible to get Built by ATI cards here.  
My PC is an Athlon 800 with VIA KT133 chipset.  
Here are my observations:  
XFree86 4.2.0 (RPMS from RedHat 8.0):  
- scenery is drawn nicely  
- aircraft instrument panel is not drawn correctly. According to the  
  FlightGear mailing list this is a known problem with 4.2.0 and  
- runs stably  
- not supported by that release.  
XFree86 (RPMS from RedHat 8.0.93):  
- scenery exhibits massive texturing errors (i.e. wrongly  
  colored/textured triangles)  
- aircraft instrument panel is drawn correctly  
- display freezes after roughly a minute. I could most of the time log  
  into the computer over the network, according to strace the X server  
  called the RADEON_CP_IDLE ioctl in a loop and was getting EBUSY all  
  the time. Killing the X server freezes the machine completely.  
- works nicely, no texturing problems, instrument panel drawn  
XFree86 (RPMS from Mike Harris):  
- scenery still exhibits the texturing problems  
- the freezes are gone
Comment 1 Mike Chambers 2003-02-10 22:56:05 EST
You need to attach your xfree config file and log file please.
Comment 2 Thomas Sailer 2003-02-14 06:30:40 EST
Created attachment 90083 [details]
Comment 3 Thomas Sailer 2003-02-14 06:31:32 EST
Created attachment 90084 [details]
Comment 4 Alan Cox 2003-02-14 06:45:56 EST
I'm seeing crashes with the 9000 still as of phoebe. 128Mb card, 256Mb  Athlon
550, AMD
chipset system. I can duplicate this reliably by running

fgfs --aircraft=ufo 

During running it spews r200: debugging messages which look like your mesa still has
debugging printfs left in it. I hit ctrl-u ctrl-u ctrl-u (go up to about 3000
feet), then 
numeric 9 (throttle) a few times then swoop down and buzz the city. At that point
the program hangs,  dmesg is full of "radeon blah out of buffers" messages and
if I kill it
the entire box locks solid a few seconds later
Comment 5 Thomas Sailer 2003-02-14 07:34:42 EST
I've seen Radeon 9000 crashes since my original posting too. A quick way to 
reproduce for me is 
fgfs --airport-id=LSZH --runway=28  
and then 2 times click on the right mouse button and then move the mouse to 
change the view direction. Apparently I was just lucky I haven't seen a crash 
in the first hour... 
NB: I also tried to configure dual head on the R7500 card, which made the X 
server SIGSEGV on start. 
Comment 6 Mike A. Harris 2003-02-14 10:10:40 EST
The DRI project is aware of this problem, and hopefully will fix it before
the 4.3.0 release, and get the changes into 4.3.0.  In lieu of that, hopefully
patches to fix it will be made available soon for me to integrate.  You may
wish to join the dri-devel mailing list on sourceforge to track the upstream
progress, and provide them details specific to your system, etc.

I'll update the report when there is new code available that is believed to
address this.

Comment 7 Mike A. Harris 2003-05-25 23:19:04 EDT
Defering for future XFree86 release.
Comment 8 Mike A. Harris 2005-04-20 11:00:47 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".